<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="css/demostyle.css">
	<title>Stock Simulation Game</title>
</head>
<body>

	<!-- navbar -->
	<nav>
		<div class="logo">
			<a href="index.html"><h1>⚔STOCK PREDATOR🛡</h1></a>
		</div>
	</nav>

	<div class="pimg1">
		<div class="ptext">
			<span class="border">
				Description
			</span>
		</div>
	</div>

	<section class="section section-light">
		<ul style="list-style-type:disc;">
			<li><b>A stock market consists of a set of companies that are organised into market sectors.</b></li>
			<ul>
				<li>Each company has an associated share price that changes over time.</li>
				<li>The change in share price typically depends on an number of factors:</li>
				<ul>
					<li>General market sentiment: positive or negative</li>
					<li>Sector market sentiment: positive or negative</li>
					<li>Key sector/company events (BOOMS, BUSTS, TAKE OVERS, SCANDALS, …)</li>
					<li>General fluctuations in share price</li>
				</ul>
				<li>Investors buy and sell shares hoping to make a profit on their investments.</li>
				<li>Often an investor will listen to advice from an expert (analyst) who will suggest what shares to buy or sell.</li>
			</ul>
		

		
			<li><b>You are to implement a multi-player stock market trading game.</b></li>
				<ul>
				<li>Players may be either human or computer.</li>
				<li>There should be at least 3 players per game.</li>
				<li>The game will run for a limited amount of time.</li>
				<li>The objective is to make the most money in that time.</li>
				</ul>
				
			<li><b>Players buy or sell shares via a broker.</b></li>
				<ul>		
				<li>Players can only by shares if they have enough money</li>
				<li>Initially, players are given 1,000 Rupees to invest.</li>
				</ul>
				
			<li><b>Changes in the price of stocks will be governed by a stock value change algorithm</b></li>	
					
		</ul>
</section>

	<div class="pimg2">
		<div class="ptext">
			<span class="border">
				Overview
			</span>
		</div>
	</div>

	<section class="section section-dark">
		<h3><b><i>Stock Market Model</i></b></h3>
		<ul style="list-style-type:disc;">	
		<li><b>The stock market should be modelled as a discrete time system.</b></li>
			<ul>		
			<li>A game will consist of a fixed number of turns.</li>
			<li>Each turn will last for a constant amount of time.</li>
			<li>The price of a stock will change once per turn.</li>
			<li>Players can buy or sell stocks at any time.</li>
			</ul>

			<li><b>Assumptions:</b></li>
			<ul>		
			<li>We assume an unlimited supply of stocks.</li>
			<li>We assume that the market is always increasing.</li>
			</ul>
			
		</ul>


		<h3><b><i>Stock Market Overview</i></b></h3>

		<ul style="list-style-type:disc;">	
		<li><b>All stocks will be associated with a sector:</b></li>
			<ul>		
			<li>e.g. Finance, Technology, Consumer Services, Manufacturing</li>
			<li>The price of stocks can be influenced by sector trends / events.</li>
			<li>There should be at least 3 stocks per sector and at least 4 sectors.</li>
			</ul>
		</ul>

		<ul style="list-style-type:disc;">	
		<li><b>Events model significant happenings in the stock market world</b></li>
			<ul>		
			<li>e.g. BOOMS, BUSTS, TAKE OVERS, SCANDALS, …</li>
			<li>Events can have a significant effect on the price of a stock</li>
			<li>Events can apply to either a sector or a stock</li>
			<li>Events apply for a limited period of time</li>
			</ul>
		</ul>

		<h3><b><i>Value Change Algorithm</i></b></h3>

		<ul style="list-style-type:disc;">	
		<li><b>Each component of the algorithm combines to give an overall percentage change in the value of the share:</b></li>
			<ul>		
			<li>Random Market Component: Stocks change by an amount between -2 and +2</li>
			<li>Sector Trend Market Component: Stocks in a specified sector change by an amount between -3 and +3</li>
			<li>General Trend Market Component: All stocks in the market change by an amount between -3 and +3</li>
			<li>Event Component: Calculated as the sum of the scores of all relevant events active at the given time point.</li>
			</ul>

		<li><b>This change is applied once per turn, normally at the start of each turn.</b></li>
			<ul>
			<li>Negative scores are interpreted as 0.</li>	
			</ul>
		</ul>
		
	</section>

	<div class="pimg3">
		<div class="ptext">
			<span class="border">
					Modelling Trends And Modelling Events
			</span>

			
		</div>
	</div>

	<section class="section section-dark">
		<h3><b><i>Modelling Trends</i></b></h3>
		<ul style="list-style-type:disc;">	
		<li><b>Market and Sector trends must be pre-computed at the start of the game.</b></li>
			<ul>		
			<li>They can be modelled as arrays where each index maps to a turn.</li>
			<li>For each turn, the probabilities are:</li>
				<ul>
				<li>P(Value Increases) = 0.25</li>
				<li>P(Value Decreases) = 0.25</li>
				<li>P(Value Does Not Change) = 0.5</li>	
				</ul>
			<li>A unique trend is created FOR EACH sector</li>
			</ul>

		</ul>

		<h3><b><i>Modelling Events</i></b></h3>
		<ul style="list-style-type:disc;">	
		<li><b>The game event stream must be pre-computed at the start of the game.</b></li>
			<ul>		
			<li>The event stream can also be modelled as an array.</li>
			<li>Only one event should be generated per turn.</li>
				<ul>
				<li>There probability that another event occurrs is 0 on the first turn (or the turn after an event has occurred)</li>
				<li>This probability increases by 0.1 for each turn that an event does not occur.</li>
				<li>NB: An event is guaranteed to occur after 10 turns.</li>	
				</ul>
			<li>When an event occurs:</li>
				<ul>
				<li>P(Sector Event) = 0.33</li>
				<li>P(Stock Event) = 0.67</li>
				</ul>
				
			</ul>

		</ul>

		<ul style="list-style-type:disc;">	
		<li><b>Two kinds of Sector Event exist (duration 2 to 5 turns):</b></li>
		        <ul>
				<li>BOOM (Prob 0.5): range +1 to +5	</li>
				<li>BUST (Prob 0.5): range -1 to -5	</li>	
				</ul>
		<li><b>Three kinds of Stock Event exist (duration 1 to 7 turns):SCANDAL (Prob 0.25): range -3 to -6</b></li>
				<ul>
				<li>PROFIT_WARNING (Prob 0.5): range +2 to +3</li>
				<li>TAKE_OVER (Prob 0.25): range -1 to -5</li>
				<li>SCANDAL (Prob 0.25): range -3 to -6</li>
				</ul>
					
		</ul>
	</section>

	

	<!-- <div class="pimg4">
		<div class="ptext">
			<span class="border">
				Other Game Components
			</span>
		</div>
	</div> -->

	<div class="pimg2">
		<div class="ptext">
			<span class="border">
				Other Game Components
			</span>

			
		</div>
	</div>
	<section class="section section-dark">
		<ul style="list-style-type:disc;">	
		<li><b>In addition to the Stock Market Simulator, the game design also includes the following components:</b></li>
			<ul>
			<li>Clock: a shared component that can provide the current turn number.</li>
			<li>Bank: models bank accounts and manages financial transactions related to the purchase / sale of stocks</li>
			<li>Broker: interface to the stock market through which a player is able to buy / sell stocks.</li>
				<ul>
				<li>Also maintains each players portfolio</li>
				</ul>
			<li>Analyst: mimics expert by offering advice on what to buy/sell.</li>
				<ul>
				<li>Has fuzzy view of market (only sees a subset of the trend/event information for any given turn)</li>
				</ul>
			<li>PlayerAI: computer player that implements some trading strategy that it uses to buy/sell stocks</li>
			<li>Player: human player who interacts with the game via a GUI</li>	
			</ul>
		
		
		</ul>
	</section>

	<div class="pimg5">
		<div class="ptext">
			<!-- <span class="border">
				
			</span> -->
		</div>
	</div>


</body>
</html>